#
# insalls lam (LDAP Account Manager)
#

class wmdeit_ldap::lam(
	$archive = "lam_7_2.tar.gz",
	$domain = 'default1',

) {
	$arcfile = "/tmp/$archive"
	$extractdir = "/var/www/ldapaccountmanager"
	$docroot = "$extractdir/lam"

        class { 'apache':
		default_vhost => false,
                mpm_module => 'prefork',
        }

        class { 'apache::mod::php':
                php_version => '7.3'
        }

        class { '::php':
                extensions => {
                        curl => {},
			ldap => {},
			gd => {},
			gmp => {},
			zip => {},
                },
		notify => Service["apache2"],
		require => Class["apache"]
        }

	file {"/var/www":
		ensure => "directory"
	} ->
	archive {"$arcfile":
		ensure => present,		
		source => "https://srcsrv.wikimedia.de/WMDE/LDAPAccountManager/archive/$archive",
		extract => true,
		extract_path => "/var/www",
		creates => $extractdir
	} ->
	apache::vhost { $domain:
		port    => '80',
		docroot => $docroot
	} ->
	file {["$docroot/tmp","$docroot/sess"]:
		ensure => directory,
		owner => "www-data"	
	}

}

